Skip to main content

Tables

2 API calls in this section.

List Tables​

Public APIs / Public / Tables
GET/public/restaurant/:slug/tables

Browse a restaurant’s tables through its public location page.

Path parameters

ParameterTypeDescription
slugRequiredstring

Dynamic path value from the request URL.

Query parameters

ParameterTypeDescription
pagestring

Example: {{page}}

limitstring

Example: {{limit}}

Staging
Request
curl
1curl --globoff --request GET "https://staging-api.ondi.io/functions/v1/public/restaurant/${SLUG}/tables?page=${PAGE}&limit=${LIMIT}"

Response examples

No saved response example. Use Try it to inspect a staging response.

Get Table by Code​

Public APIs / Public / Tables
GET/public/restaurant/:slug/tables/by-code/:code

Resolve a table code within a restaurant, such as when opening a table link.

Path parameters

ParameterTypeDescription
slugRequiredstring

Dynamic path value from the request URL.

codeRequiredstring

Dynamic path value from the request URL.

Staging
Request
curl
1curl --globoff --request GET "https://staging-api.ondi.io/functions/v1/public/restaurant/${SLUG}/tables/by-code/${CODE}"

Response examples

No saved response example. Use Try it to inspect a staging response.